> For the complete documentation index, see [llms.txt](https://qubic.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://qubic.gitbook.io/docs/api/pass-admin-api/verify-nft-holder.md).

# 驗證 NFT 持有者

```graphql
user(userAddress: $userAddress) {
    address
    id
    tokens(chainId: $tokensChainId2, contractAddresses: $contractAddresses, first: $tokensFirst2, after: $tokensAfter2) {
      nodes {
        id
        owner {
          id
          address
        }
        contract {
          id
          chainId
          address
        }
        tokenId
        metadata {
          imageUrl
          imageThumbnailUrl
          animationUrl
          name
          description
          externalLink
          permalink
          attributes {
            traitType
            value
            displayType
          }
        }
      }
      pageInfo {
        endCursor
      }
      totalCount
    }
  }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://qubic.gitbook.io/docs/api/pass-admin-api/verify-nft-holder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
